# sim-bug-tools
`sim_bug_tools` is a python toolkit for exploring bugs in software simulations. This module consists of python classes for describing, navigating, and interacting with software simulations to find bugs or other scenario outcomes based on geometric analysis of known information.

This module is developed for research in scenario-based testing for the validation and verification (V&V) of autonomous vehicles (AV). We were frustrated by the limitations imposed by time and resource cost of the AV V&V testing process given the many configurations of parameters for AV Testing. This module contains the tools we use to understand and navigate these high-dimensional spaces.

## Research Team
This research is conducted by <u>Embry-Riddle Aeronautical University</u> of Daytona Beach, Florida. Dept. of Electrical Engineering and Computer Science.

**Faculty Team Lead**<br>
Dr. Mustafa İlhan Akbaş `akbasm@erau.edu`

**PhD Students**<br>
Quentin Goss `gossq@my.erau.edu`<br>
John Thompson `thomj130@my.erau.edu`

**Undergraduate Students**<br>
Annamaria Summer `summera@my.erau.edu`

## Citing This Work
If you would like to cite this work. Please cite our latest paper about the topic:

J. M. Thompson, Q. Goss, and M. I. Akbas, “A Strategy for Boundary Adherence and Exploration in Black-Box Testing of Autonomous Vehicles,” in *2023 IEEE International Conference on Mobility, Operations, Services and Technologies (MOST)*, pp. 17–19, IEEE.

```
@incollection{Thompson2023Strategy,
	author = {Thompson, John M. and Goss, Quentin and Akba{\ifmmode\mbox{\c{s}}\else\c{s}\fi}, Mustafa {\ifmmode\dot{I}\else\.{I}\fi}lhan},
	title = {{A Strategy for Boundary Adherence and Exploration in Black-Box Testing of Autonomous Vehicles}},
	booktitle = {{2023 IEEE International Conference on Mobility, Operations, Services and Technologies (MOST)}},
	journal = {Published in: 2023 IEEE International Conference on Mobility, Operations, Services and Technologies (MOST)},
	pages = {17--19},
	publisher = {IEEE},
	doi = {10.1109/MOST57249.2023.00028}
}
```
